package com.gxwebsoft.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.shop.entity.Order;
import com.gxwebsoft.shop.entity.Users;
import com.gxwebsoft.shop.param.UsersParam;

import java.util.List;

/**
 * Service
 *
 * @author 科技小王子
 * @since 2024-07-12 01:10:04
 */
public interface UsersService extends IService<Users> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<Users>
     */
    PageResult<Users> pageRel(UsersParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<Users>
     */
    List<Users> listRel(UsersParam param);

    /**
     * 根据id查询
     *
     * @param id
     * @return Users
     */
    Users getByIdRel(Integer id);

    void addIntegral(Order order);

    Users getByPhone(String phone);
}
